Overview | Package | Class | Use | Tree | Serialized | Deprecated | Index | Help
| ABLE 2.3.0 07/13/2005 14:21:00
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.ibm.able
Interface AbleEventListenerManager

All Superinterfaces:
  java.io.Serializable

All Known Subinterfaces:
  AbleAgent, AbleBean, AbleDataSink, AbleDataSource

All Known Implementing Classes:
  AbleAbstractImport, AbleDBExport, AbleDefaultAgent, AbleExport, AbleObject

public interface AbleEventListenerManager
extends java.io.Serializable

The AbleEventListenerManager interface provides the methods needed to add and remove AbleEventListener objects and to notify those listeners of an AbleEvent.

Method Summary
`void` | `addAbleEventListener(AbleEventListener theListener)` Adds an event listener to this bean.
`void` | `dataChanged(java.lang.Object theArg)` Signal that this bean's internal state has changed by sending an event to all registered listeners.
`java.util.Vector` | `getAbleEventListeners()` Returns a list of all registered listeners.
`void` | `notifyAbleEventListeners(AbleEvent theEvent)` Notify all registered listeners by sending the specified event.
`void` | `removeAbleEventListener(AbleEventListener theListener)` Removes an event listener from this bean.

Method Detail

### addAbleEventListener

    public void addAbleEventListener(AbleEventListener theListener)

  Adds an event listener to this bean.

  Parameters:
    `theListener` - An object interested in this bean.

### removeAbleEventListener

    public void removeAbleEventListener(AbleEventListener theListener)

  Removes an event listener from this bean.

  Parameters:
    `theListener` - The object no longer interested in this bean.

### notifyAbleEventListeners

    public void notifyAbleEventListeners(AbleEvent theEvent)
                                  throws AbleException

  Notify all registered listeners by sending the specified event.

  Parameters:
    `theEvent` - The AbleEvent to be broadcast to all listeners.
  Throws:
    `AbleException` - If an error occurs.

### getAbleEventListeners

    public java.util.Vector getAbleEventListeners()

  Returns a list of all registered listeners.

  Returns:
    A list of `AbleEventListener` objects.

### dataChanged

    public void dataChanged(java.lang.Object theArg)
                     throws AbleException

  Signal that this bean's internal state has changed by sending an event to all registered listeners. Typically this is implemented as a convenience method to create an `AbleEvent.DATACHANGED` event and broadcast it to listeners.

  Parameters:
    `theArg` - An object to be used as the argument of an AbleEvent. The object could be the new data or a reference to an object whose data members have changed.
  Throws:
    `AbleException` - If an error occurs.

Overview | Package | Class | Use | Tree | Serialized | Deprecated | Index | Help
| ABLE 2.3.0 07/13/2005 14:21:00
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

(C) Copyright IBM Corporation 1999, 2005